Subject: Re: [netatalk-admins] HELP PLEASE!!!!

From: [email-masked]
Date: Thu, 28 Oct 1999 16:17:24 -0400

Sorry i should of made it a little more clear. The server is being accessed via
the internet and a t1 (its behing a firewall) by customers to leave files for
us. Then internally we use macs and pcs to get the files from the server. The
problem is that if the macs have the directory open then a file comes in they do
not know it untill they close the window and open it back up. I would like it to
automaticlly refresh the window and not have to do that.

Joshua

Russell E Glaue <[email-masked]> on 10/28/99 04:05:05 PM

To:   Josh Curtis/COMPEPHR/EPHRATA/MPG@MPG
cc:   [email-masked]
Subject:  Re: [netatalk-admins] HELP PLEASE!!!!

On Thu, 28 Oct 1999 [email-masked] wrote:

> When you have a directory (window) list open on a mac (os 8.*) the
> list does not update itself when a new file is ftp'd in. You must
> close the window and re-open it to see new files. The machine is used
> as a ftp server (only ftp open to outside world) with

It is a problem with your ftp client. Some FTP client have a refresh
button to solve this problem. But if you are using Macs and Netatalk, why
don't you share Linux volumes to the macs and transfer that way instead of
FTPing the files?

+------------------------------------------------------------------+
 Russell E Glaue, Technologies Engineer / IT Manager  [email-masked]
 Center for the Application of Information Technologies
 101 Horrabin Hall, 1 University Circle, Macomb, Illinois 61455
 http://www.cait.org  http://cait.wiu.edu

---

From: Brian Bergstrand <[email-masked]>
Date: Thu, 28 Oct 1999 15:49:43 -0500

> automaticlly refresh the window and not have to do that.

The problem is not with netatalk, and technically it is not a  
problem, but expected behavior.
Since another machine is adding files to the directory (in this case  
your ftp clients), there is
no way for the Mac to know that a file has been added without  
reading the directory again.
The same behavior exists on windows, or for that matter any OS.  
Windows has a Refresh (F5) menu
to deal with this situation, and I guess you could argue that the  
Mac could use one too.

They are a couple of ways to deal with this situation.
1. Open and close the window.
2. Create a new file in the folder, so the OS will read the  
directory again.
3. Write an Applescript to automatically close and re-open the  
window. Using the
free cron-like iDo Scheduler (included on the OS8.6 CD) you can run  
this script every
five minutes.

HTH.

--
Brian Bergstrand
Systems Programmer, Northern Illinois University

---

From: Anthony Brock <[email-masked]>
Date: Thu, 28 Oct 1999 16:50:16 -0500

>free cron-like iDo Scheduler (included on the OS8.6 CD) you can run

Another solution which works for us is to change our sort order in the 
window periodically (just click the date, and then click back on the 
name).  Of course, you need to have them listed by name, but it seems to 
work for us (Mac OS 8.6),

Tony
******************************************************************************
* Anthony Brock                                         [email-masked] *
* Director of Network Services                         George Fox University *
******************************************************************************

---

From: [email-masked]
Date: Thu, 28 Oct 1999 20:54:36 -0400

Thanks everyone.

 I just downloaded cron for macintosh and wrote a small applescript that will
create a folder then delete it which updates the window to be run once every
couple minutes.

Joshua

Tony